[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

problem building -next on Lenny



Hi

Short story: I can't get latest live-helper to build on Lenny. I'm not
sure exactly where the problem is.

mkdir test
cd test
git clone git://live.debian.net/git/live-helper.git
cd live-helper
git checkout --track -b local origin/debian-next
cd ..
# The binary-mirror is probably irrelevant
# Using the default debootstrap leads to an error on mounting proc
./live-helper/helpers/local lh config --mirror-binary http://mirror.isoc.org.il/pub/debian/ --bootstrap cdebootstrap
./live-helper/helpers/local lh build

  ...

P: Begin unmounting filesystems...
P: Setting up cleanup function
P: Begin caching chroot stage...
P: Begin mounting /dev/pts...
P: Begin mounting /proc...
P: Begin mounting /sys...
P: Configuring file /etc/debian_chroot
P: Configuring file /sbin/start-stop-daemon
P: Configuring file /usr/sbin/policy-rc.d
P: Configuring file /etc/hosts
P: Configuring file /etc/resolv.conf
P: Configuring file /etc/hostname
P: Configuring file /bin/hostname
P: Configuring file /etc/apt/apt.conf
P: Configuring file /etc/apt/sources.list
chroot: invalid option -- i
chroot: unrecognized option `--yes'
P: Begin unmounting filesystems...


Adding some tracing to helpers/chroot_source

./live-helper/helpers/local lh clean
./live-helper/helpers/local lh build

 ...

+ Find_files 'config/chroot_sources/*.chroot.gpg'
+ Find_files 'config/chroot_sources/*.deb'
+ '[' apt = aptitude ']'
+ Apt update
+ case "${LH_APT}" in
+ Chroot chroot apt-get --yes update
+ CHROOT=chroot
+ shift
+ COMMANDS='apt-get --yes update'
+ Echo_debug 'Executing: %s' 'apt-get --yes update'
+ '[' false = true ']'
+ '[' false '!=' true ']'
+ chroot chroot /usr/bin/env -i HOME=/root PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin TERM=screen ftp_proxy= http_proxy= DEBIAN_FRONTEND=noninteractive DEBIAN_PRIORITY=critical DEBCONF_NOWARNINGS=yes XORG_CONFIG=custom apt-get --yes update
chroot: invalid option -- i
chroot: unrecognized option `--yes'
+ ret=1
+ rm -f .lock
+ exit 1
P: Begin unmounting filesystems...



Huh?


Let's cure this symptom:

diff --git a/functions/chroot.sh b/functions/chroot.sh
index e3af0c2..9d19eb3 100755
--- a/functions/chroot.sh
+++ b/functions/chroot.sh
@@ -17,7 +17,7 @@ Chroot ()

        if [ "${LH_USE_FAKEROOT}" != "true" ]
        then
-               ${LH_ROOT_COMMAND} chroot "${CHROOT}" /usr/bin/env -i HOME="/roo
+               ${LH_ROOT_COMMAND} chroot -- "${CHROOT}" /usr/bin/env -i HOME="/
        else
                # Building with fakeroot/fakechroot
                ${LH_ROOT_COMMAND} chroot "${CHROOT}" ${COMMANDS}


Try again.


+ Check_stagefile .stage/chroot_sources
+ FILE=.stage/chroot_sources
++ basename .stage/chroot_sources
+ NAME=chroot_sources
+ '[' -f .stage/chroot_sources ']'
+ Check_lockfile .lock
+ FILE=.lock
+ '[' -z .lock ']'
+ '[' -f .lock ']'
+ Create_lockfile .lock
+ FILE=.lock
+ '[' -z .lock ']'
++ dirname .lock
+ DIRECTORY=.
+ mkdir -p .
+ trap 'ret=${?}; rm -f ".lock"; exit ${ret}' EXIT HUP INT QUIT TERM
+ touch .lock
+ echo 'deb http://ftp.de.debian.org/debian/ lenny main'
+ '[' false = true ']'
+ '[' true = true ']'
+ case "${LH_MODE}" in
+ '[' lenny '!=' sid ']'
+ '[' lenny '!=' unstable ']'
+ echo 'deb http://security.debian.org/ lenny/updates main'
+ '[' false = true ']'
+ Find_files 'config/chroot_sources/*.chroot'
+ Find_files 'config/chroot_local-packages/*.deb'
+ '[' false = true ']'
+ Find_files 'config/chroot_sources/*.chroot.gpg'
+ Find_files 'config/chroot_sources/*.deb'
+ '[' apt = aptitude ']'
+ Apt update
+ case "${LH_APT}" in
+ Chroot chroot apt-get --yes update
+ CHROOT=chroot
+ shift
+ COMMANDS='apt-get --yes update'
+ Echo_debug 'Executing: %s' 'apt-get --yes update'
+ '[' false = true ']'
+ '[' false '!=' true ']'
+ chroot -- chroot /usr/bin/env -i HOME=/root PATH=/usr/local/sbin:/usr/local/bi n:/sbin:/bin:/usr/sbin:/usr/bin TERM=screen ftp_proxy= http_proxy=DEBIAN_FRONTE ND=noninteractive DEBIAN_PRIORITY=critical DEBCONF_NOWARNINGS=yes
XORG_CONFIG=custom apt-get --yes update
P: Setting up cleanup function
P: Begin caching chroot stage...
P: Begin mounting /dev/pts...
W: skipping chroot_devpts
P: Begin mounting /proc...
W: skipping chroot_proc
P: Begin mounting /sys...
W: skipping chroot_sysfs
P: Configuring file /etc/debian_chroot
W: skipping chroot_debianchroot
P: Configuring file /sbin/start-stop-daemon
W: skipping chroot_dpkg
P: Configuring file /usr/sbin/policy-rc.d
W: skipping chroot_sysv-rc
P: Configuring file /etc/hosts
W: skipping chroot_hosts
P: Configuring file /etc/resolv.conf
W: skipping chroot_resolv
P: Configuring file /etc/hostname
W: skipping chroot_hostname
P: Configuring file /etc/apt/apt.conf
W: skipping chroot_apt
+ case "${1}" in
+ Echo_message 'Configuring file /etc/apt/sources.list'
+ '[' false '!=' true ']'
+ STRING='Configuring file /etc/apt/sources.list'
+ shift
+ '[' false = false ']'
+ printf P:
P:+ '[' true = false ']'
++ eval_gettext 'Configuring file /etc/apt/sources.list'
++ gettext 'Configuring file /etc/apt/sources.list'
+++ envsubst --variables 'Configuring file /etc/apt/sources.list'
++ export PATH
++ envsubst 'Configuring file /etc/apt/sources.list'
+ printf ' Configuring file /etc/apt/sources.list'
 Configuring file /etc/apt/sources.list+ echo

+ Check_stagefile .stage/chroot_sources
+ FILE=.stage/chroot_sources
++ basename .stage/chroot_sources
+ NAME=chroot_sources
+ '[' -f .stage/chroot_sources ']'
+ Check_lockfile .lock
+ FILE=.lock
+ '[' -z .lock ']'
+ '[' -f .lock ']'
+ Echo_error 'chroot_sources locked'
+ STRING='chroot_sources locked'
+ shift
+ '[' false = false ']'
+ printf E:
E:+ '[' true = false ']'
++ eval_gettext 'chroot_sources locked'
++ gettext 'chroot_sources locked'
+++ envsubst --variables 'chroot_sources locked'
++ export PATH
++ envsubst 'chroot_sources locked'
+ printf ' chroot_sources locked'
 chroot_sources locked+ echo
+ exit 1
P: Begin unmounting filesystems...
+ ret=1
+ rm -f .lock
+ exit 1
P: Begin unmounting filesystems...

So it managed to run the command, but left the lock file, which tripped
the next command that was run.

-- 
               Tzafrir Cohen
icq#16849755              jabber:tzafrir.cohen@xorcom.com
+972-50-7952406           mailto:tzafrir.cohen@xorcom.com
http://www.xorcom.com  iax:guest@local.xorcom.com/tzafrir


Reply to: